org.apache.tinkerpop.gremlin.python.jsr223

## Class GremlinJythonScriptEngineFactory

- java.lang.Object
- - PyScriptEngineFactory
  - - org.apache.tinkerpop.gremlin.python.jsr223.GremlinJythonScriptEngineFactory

- All Implemented Interfaces:
    ScriptEngineFactory, GremlinScriptEngineFactory

  Deprecated.
  As of release 3.3.10, not replaced - see TINKERPOP-2317

      @Deprecated
      public class GremlinJythonScriptEngineFactory
      extends PyScriptEngineFactory
      implements GremlinScriptEngineFactory

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinJythonScriptEngineFactory()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEngineName()` Deprecated.
    `String` | `getEngineVersion()` Deprecated.
    `List<String>` | `getExtensions()` Deprecated.
    `String` | `getLanguageName()` Deprecated.
    `String` | `getLanguageVersion()` Deprecated.
    `List<String>` | `getMimeTypes()` Deprecated.
    `List<String>` | `getNames()` Deprecated.
    `Object` | `getParameter(String key)` Deprecated.
    `GremlinScriptEngine` | `getScriptEngine()` Deprecated. Creates a new `GremlinScriptEngine` instance.
    `void` | `setCustomizerManager(GremlinScriptEngineManager manager)` Deprecated. The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.script.ScriptEngineFactory

      `getMethodCallSyntax, getOutputStatement, getProgram`

- - ### Constructor Detail

    - #### GremlinJythonScriptEngineFactory

          public GremlinJythonScriptEngineFactory()

      Deprecated.

  - ### Method Detail

    - #### setCustomizerManager

          public void setCustomizerManager(GremlinScriptEngineManager manager)

      Deprecated.
      Description copied from interface: `GremlinScriptEngineFactory`
      The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.
      Specified by:
        `setCustomizerManager` in interface `GremlinScriptEngineFactory`

    - #### getEngineName

          public String getEngineName()

      Deprecated.
      Specified by:
        `getEngineName` in interface `ScriptEngineFactory`

    - #### getEngineVersion

          public String getEngineVersion()

      Deprecated.
      Specified by:
        `getEngineVersion` in interface `ScriptEngineFactory`

    - #### getExtensions

          public List<String> getExtensions()

      Deprecated.
      Specified by:
        `getExtensions` in interface `ScriptEngineFactory`

    - #### getLanguageName

          public String getLanguageName()

      Deprecated.
      Specified by:
        `getLanguageName` in interface `ScriptEngineFactory`

    - #### getLanguageVersion

          public String getLanguageVersion()

      Deprecated.
      Specified by:
        `getLanguageVersion` in interface `ScriptEngineFactory`

    - #### getMimeTypes

          public List<String> getMimeTypes()

      Deprecated.
      Specified by:
        `getMimeTypes` in interface `ScriptEngineFactory`

    - #### getNames

          public List<String> getNames()

      Deprecated.
      Specified by:
        `getNames` in interface `ScriptEngineFactory`

    - #### getParameter

          public Object getParameter(String key)

      Deprecated.
      Specified by:
        `getParameter` in interface `ScriptEngineFactory`

    - #### getScriptEngine

          public GremlinScriptEngine getScriptEngine()

      Deprecated.
      Description copied from interface: `GremlinScriptEngineFactory`
      Creates a new `GremlinScriptEngine` instance. Unlike the JSR-223 implementation, the semantics for this interface expect a "new" instance to be created for each call to this method. Caching or pooling is something to be handled by a `GremlinScriptEngineManager`.
      Specified by:
        `getScriptEngine` in interface `ScriptEngineFactory`
      Specified by:
        `getScriptEngine` in interface `GremlinScriptEngineFactory`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.